Get filter parameters

This request lets you get information about an issue filter.

GET

https://api.tracker.yandex.net/v3/filters/<filter_id>

Request format

Before making the request, get access to the API.

To get a filter, use an HTTP GET request:

GET /v3/filters/<filter_id>
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Cloud Organization.

    To get the organization ID, go to AdministrationOrganizations and copy the value from the ID field.

Request parameters

Required parameters

Parameter Description Data type
<filter_id> Filter ID. Number

Example: Get filter parameters

  • An HTTP GET request is used.
  • A filter with ID 12345 is requested.
GET /v3/filters/12345 HTTP/1.1
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains information about the filter in JSON format.

{
    "id": 12345,
    "self": "https://api.tracker.yandex.net/v3/filters/12345",
    "name": "My open issues",
    "filter": {
        "assignee": "me()",
        "status": "open"
    },
    "fields": [
        {
            "self": "https://api.tracker.yandex.net/v3/fields/key",
            "id": "key",
            "display": "Key"
        },
        {
            "self": "https://api.tracker.yandex.net/v3/fields/summary",
            "id": "summary",
            "display": "Summary"
        },
        {
            "self": "https://api.tracker.yandex.net/v3/fields/status",
            "id": "status",
            "display": "Status"
        }
    ],
    "groupBy": {
    "self": "https://api.tracker.yandex.net/v3/fields/status",
    "id": "status",
    "display": "Status"
    },
    "favorite": false,
    "permissions": {
        "READ": {
            "users": [],
            "groups": [
                {
                    "self": "https://api.tracker.yandex.net/v3/groups/5",
                    "id": "5",
                    "display": "All employees"
                }
            ],
            "roles": []
        },
        "WRITE": {
            "users": [
                {
                    "self": "https://api.tracker.yandex.net/v3/users/1234567890",
                    "id": "1234567890",
                    "display": "User Name",
                    "cloudUid": "ajevuhegoiuhfasjhiu",
                    "passportUid": 1234567890
                }
            ],
            "groups": [],
            "roles": []
        }
    },
    "owner": {
        "self": "https://api.tracker.yandex.net/v3/users/1234567890",
        "id": "1234567890",
        "display": "User Name",
        "cloudUid": "ajevuhegoiuhfasjhiu",
        "passportUid": 1234567890
    }
}
Response parameters
Parameter Description Data type
id Filter ID. Number
self URL of the API resource that contains information about the filter. String
name Filter name. String
filter Object with filter conditions. Object
query String with filter conditions written in the query language. String
fields Array of issue fields to display in the UI. Array of objects
groupBy Field to group the results by in the UI. Object
favorite Indicates a favorite filter: true — the filter is added to favorites, false — not added. Boolean
permissions Object with information about access permissions to the filter. Object
owner Object with information about the filter owner. Object

Fields of the fields array

The array contains objects with information about the issue fields that will be displayed in the Tracker interface when the filter is used.

Parameter Description Data type
self URL of the API resource that contains information about the field. String
id Field ID. String
display Displayed field name. String

Example:

"fields": [
    {
        "self": "https://api.tracker.yandex.net/v3/fields/key",
        "id": "key",
        "display": "Key"
    },
    {
        "self": "https://api.tracker.yandex.net/v3/fields/summary",
        "id": "summary",
        "display": "Summary"
    }
]

Note

The fields parameter only affects the display in the Tracker interface, it does not affect the results of API requests. When using a filter via the API (the /v2/issues/_search method), all issue fields are returned regardless of the fields parameter value.

Fields of the groupBy object

The object contains information about the field by which the results are grouped in the Tracker interface.

Parameter Description Data type
self URL of the API resource that contains information about the field. String
id Field ID. String
display Displayed field name. String

Example:

"groupBy": {
    "self": "https://api.tracker.yandex.net/v3/fields/status",
    "id": "status",
    "display": "Status"
}

Note

The groupBy parameter only affects the display in the Tracker interface (issues are grouped by the specified field), it does not change the results of API requests.

Fields of the permissions object

Parameter Description Data type
READ Object with information about filter read permissions. Object
WRITE Object with information about filter edit permissions. Object

Fields of the READ and WRITE objects

Parameter Description Data type
users Array of users that have the relevant permissions. Array of objects
groups Array of groups that have the relevant permissions. Array of objects
roles Array of roles that have the relevant permissions. Array of objects

Fields of the owner object

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Cloud Organization String

If a request fails, the API returns a response with an error code:

401
The user is not authorized. Make sure that actions described in the API access section are performed.
403
You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
404
The requested object was not found. You may have specified an invalid object ID or key.